/* Общие стили */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background: rgba(0,0,0,0.99)
}

header {
    background-color: #0ecb00;
    color: #fff;
    text-align: center;
    padding: 25px;
    border-radius: 10px;
    overflow: hidden;
    position: relative;
}

header strong {
    font-size: 40px;
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

header::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 30%;
    height: 100%;
    background-color: #0ecb00;
}

main {
    padding: 20px;
}

/* Стили для текстовых полей и выпадающих списков */
.translator {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.input-container {
    display: flex;
    justify-content: space-between;
    margin: 0 0;
    width: 100%;
}

textarea {
    width: 95.4%;
    height: 150px;
    border: 1px solid #ccc;
    border-radius: 10px;
    font-size: 16px;
}

.changeLanguage {
    margin-top: 10px;
    margin-right: 10px;
    margin-left: -10px;
    padding: 1%;
    width: 72px;
}

.language-container {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin-top: 10px;
}

select {
    padding: 10px;
    margin-right: 1.55vw;
    border: 1px solid #ccc;
    border-radius: 10px;
    font-size: 16px;
    background-color: #f9f9f9;
    color: #333;
    cursor: pointer;
}

select:hover {
    background-color: #e6e6e6;
}

/* Адаптивные стили */
@media screen and (max-width: 750px) {
    .input-container {
        flex-direction: column;
    }

    textarea {
        width: 95.4%;
        height: 350px;
        padding: 6px;
        border: 1px solid #ccc;
        border-radius: 10px;
        font-size: 50px;
    }

    .changeLanguage {
        margin-top: 10px;
        padding: 25px;
        margin-right: 15px;
        height: auto;
        width: auto;
    }

    .mode-label {
        display: inline-block;
        background-color: #0ecb00;
        color: #fff;
        padding: 10px 20px;
        border-radius: 5px;
        cursor: pointer;
        text-align: center;
        font-size: 250%;
        margin: 0 10px;
        transition: background-color 0.3s;
    }

    select {
        width: 97.8%;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 10px;
        font-size: 40px;
        background-color: #f9f9f9;
        color: #333;
        cursor: pointer;
    }
}

.mode-switch {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.mode-label {
    display: inline-block;
    background-color: #0ecb00;
    color: #fff;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    text-align: center;
    margin: 0 10px;
    transition: background-color 0.3s;
}

.hidden-radio {
    position: absolute;
    left: -9999px;
}

.mode-label:hover {
    background-color: #0b9a00;
}

.mode-button {
    display: block;
    font-weight: normal;
    transition: font-weight 0.3s;
}

.hidden-radio:checked + .mode-button {
    font-weight: bold;
    background-color: #096700; /* Background color for the selected mode */
}
